# packet (normal surface list)

## Name

packet (normal surface list) — A normal surface list packet

## Synopsis

Content Model

    packet ::= (params, surface*,
                tag*, packet*)

Attributes
See the general `packet` element documentation.

## Description

A normal surface list packet stores a list of normal surfaces in a particular 3-manifold triangulation. This list will often contain the vertex surfaces whose convex span is the set of all normal surfaces in the triangulation that satisfy certain constraints, though other lists (such as fundamental surfaces, or other customised lists) can be stored also.

The parent element of this normal surface list must be the triangulation in which the normal surfaces lie. The individual normal surfaces in this list are contained in the child `surface` elements.

The parameters of the normal surface enumeration that created this list are stored in the child `params` element.

The roles played by the child `tag` and `packet` elements are described in the general `packet` element documentation.

### Parents

The following elements contain `packet` for a normal surface list packet: `packet` (3-dimensional triangulation).

### Children

The following elements occur in `packet` for a normal surface list packet: `packet`, `params`, `surface`, `tag`.